std::_Node_handle< _Value, _Value, _NodeAlloc > Class Template Reference
Containers » Associative » Node handles

`#include <node_handle.h>`

Inheritance diagram for std::_Node_handle< _Value, _Value, _NodeAlloc >:
[legend]

## Public Types

using | allocator_type = __alloc_rebind< _NodeAlloc, _Value >
using | value_type = _Value

## Public Member Functions

| _Node_handle (_Node_handle &&) noexcept=default
bool | empty () const noexcept
allocator_type | get_allocator () const noexcept
| operator bool () const noexcept
_Node_handle & | operator= (_Node_handle &&) noexcept=default
void | swap (_Node_handle &__nh) noexcept
value_type & | value () const noexcept

## Friends

template<typename _Key2 , typename _Value2 , typename _ValueAlloc , typename _ExtractKey , typename _Equal , typename _Hash , typename _RangeHash , typename _Unused , typename _RehashPolicy , typename _Traits >
class | _Hashtable
template<typename _Key , typename _Val , typename _KeyOfValue , typename _Compare , typename _Alloc >
class | _Rb_tree
void | swap (_Node_handle &__x, _Node_handle &__y) noexcept(noexcept(__x.swap(__y)))

## Detailed Description

template<typename _Value, typename _NodeAlloc>
class std::_Node_handle< _Value, _Value, _NodeAlloc >

Node handle type for sets.

Definition at line 343 of file node_handle.h.

## Member Typedef Documentation

## allocator_type

using std::_Node_handle_common< _Value , _NodeAlloc >::allocator_type = __alloc_rebind<_NodeAlloc, _Value >

inherited

Definition at line 70 of file node_handle.h.

## value_type

template<typename _Value , typename _NodeAlloc >

using std::_Node_handle< _Value, _Value, _NodeAlloc >::value_type = _Value

Definition at line 354 of file node_handle.h.

## Member Function Documentation

## empty()

bool std::_Node_handle_common< _Value , _NodeAlloc >::empty | ( |  | ) | const

inline noexcept inherited

Definition at line 81 of file node_handle.h.

## get_allocator()

allocator_type std::_Node_handle_common< _Value , _NodeAlloc >::get_allocator | ( |  | ) | const

inline noexcept inherited

Definition at line 73 of file node_handle.h.

## operator bool()

std::_Node_handle_common< _Value , _NodeAlloc >::operator bool | ( |  | ) | const

inline explicit noexcept inherited

Definition at line 79 of file node_handle.h.

## swap()

template<typename _Value , typename _NodeAlloc >

void std::_Node_handle< _Value, _Value, _NodeAlloc >::swap | ( | _Node_handle< _Value, _Value, _NodeAlloc > & | __nh | ) |

inline noexcept

Definition at line 364 of file node_handle.h.

## value()

template<typename _Value , typename _NodeAlloc >

value_type & std::_Node_handle< _Value, _Value, _NodeAlloc >::value | ( |  | ) | const

inline noexcept

Definition at line 357 of file node_handle.h.

## Friends And Related Symbol Documentation

## _Hashtable

template<typename _Value , typename _NodeAlloc >
template<typename _Key2 , typename _Value2 , typename _ValueAlloc , typename _ExtractKey , typename _Equal , typename _Hash , typename _RangeHash , typename _Unused , typename _RehashPolicy , typename _Traits >

friend class _Hashtable

friend

Definition at line 390 of file node_handle.h.

## _Rb_tree

template<typename _Value , typename _NodeAlloc >
template<typename _Key , typename _Val , typename _KeyOfValue , typename _Compare , typename _Alloc >

friend class _Rb_tree

friend

Definition at line 384 of file node_handle.h.

## swap

template<typename _Value , typename _NodeAlloc >

void swap | ( | _Node_handle< _Value, _Value, _NodeAlloc > & | __x,
|  | _Node_handle< _Value, _Value, _NodeAlloc > & | __y
| ) |  |

friend

Definition at line 368 of file node_handle.h.

The documentation for this class was generated from the following file:

- node_handle.h